Mesa (master): glcpp: Fix test suite to avoid flagging failed tests as valgrind errors.

Carl Worth cworth at kemper.freedesktop.org
Mon Aug 23 17:48:14 UTC 2010


Module: Mesa
Branch: master
Commit: 21560c40e8aa98624a225752b98babc7ae2938d5
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=21560c40e8aa98624a225752b98babc7ae2938d5

Author: Carl Worth <cworth at cworth.org>
Date:   Mon Aug 23 10:41:30 2010 -0700

glcpp: Fix test suite to avoid flagging failed tests as valgrind errors.

We recently added several tests that intentionally trigger
preprocessor errors. During valgrind-based testing, our test script
was noticing the non-zero return value from the preprocessor and
incorrectly flagging the valgrind-based test as failing.

To fix this, we make valgrind return an error code that is otherwise
unused by the preprocessor.

---

 src/glsl/glcpp/tests/glcpp-test |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/src/glsl/glcpp/tests/glcpp-test b/src/glsl/glcpp/tests/glcpp-test
index 6494d0c..5dc08ea 100755
--- a/src/glsl/glcpp/tests/glcpp-test
+++ b/src/glsl/glcpp/tests/glcpp-test
@@ -27,13 +27,14 @@ echo ""
 echo "====== Testing for valgrind cleanliness ======"
 for test in *.c; do
     echo -n "Testing $test with valgrind..."
-    if valgrind --error-exitcode=1 --log-file=$test.valgrind-errors ../glcpp < $test >/dev/null; then
+    valgrind --error-exitcode=31 --log-file=$test.valgrind-errors ../glcpp < $test >/dev/null 2>&1
+    if [ "$?" = "31" ]; then
+	echo "ERRORS"
+	cat $test.valgrind-errors
+    else
 	echo "CLEAN"
 	clean=$((clean+1))
 	rm $test.valgrind-errors
-    else
-	echo "ERRORS"
-	cat $test.valgrind-errors
     fi
 done
 




More information about the mesa-commit mailing list